IF OBJECT_ID('ApplicationGroups_GetAncestorGroups') IS NOT NULL DROP FUNCTION ApplicationGroups_GetAncestorGroups
GO

CREATE FUNCTION [ApplicationGroups_GetAncestorGroups]
(
	@ApplicationGroup_Id INT
) RETURNS @groups TABLE ([Level] INT NOT NULL, [ApplicationGroup_Id] INT NOT NULL)
BEGIN

    DECLARE @Depth INT
    SET @Depth = 0

    DECLARE @ParentId INT
    DECLARE @TmpParentId INT
	DECLARE @TmpGroupId INT

    SELECT @TmpGroupId = [ApplicationGroup_Id], 
		   @ParentId = [Parent_ApplicationGroup_Id] 
      FROM [ApplicationGroups] 
     WHERE [ApplicationGroup_Id] = @ApplicationGroup_Id

	 -- no application group with specified ID
	 IF @TmpGroupId IS NULL
        RETURN

    -- add specified group at depth 0
    INSERT INTO @groups ([Level], [ApplicationGroup_Id])
        VALUES (0, @ApplicationGroup_Id)

    WHILE (@ParentId IS NOT NULL) 
    BEGIN
        SET @Depth = @Depth + 1

        INSERT INTO @groups ([Level], [ApplicationGroup_Id])
        VALUES (@Depth, @ParentId)
        
        SELECT @TmpParentId = [Parent_ApplicationGroup_Id] FROM [ApplicationGroups] WHERE [ApplicationGroup_Id] = @ParentId
        SET @ParentId = @TmpParentId

        -- sanity check
        IF @Depth > 1000
            BREAK

    END
  
  RETURN
END
GO