IF OBJECT_ID('[ChangeControls_Extended]') IS NOT NULL DROP VIEW [ChangeControls_Extended]
GO

CREATE VIEW [ChangeControls_Extended]
AS
SELECT CC.[ChangeControl_Id],
       CC.[Active_Indicator],
	   CC.[ChangeControl_Name],
	   CC.[CreatedBy_User_Name],
	   CC.[CreatedOn_Date],
	   CC.[Description_Text],
	   CC.[Group_Name],
	   CC.[ModifiedBy_User_Name],
	   CC.[ModifiedOn_Date],
	   CC.[PerformanceType_Code],
	   CC.[Principal_Name],
	   CC.[PrincipalType_Code],
	   CC.[Release_Id],
	   R.[Release_Number],
	   [Release_Name] = COALESCE(R.[Release_Name], R.[Release_Number]),
	   A.[Application_Id],
	   A.[Application_Name]
  FROM [ChangeControls] CC
       INNER JOIN [Releases] R
	           ON R.[Release_Id] = CC.[Release_Id]
	   INNER JOIN [Applications] A
	           ON A.[Application_Id] = R.[Application_Id]
GO