IF OBJECT_ID('[Plans_Extended]') IS NOT NULL DROP VIEW [Plans_Extended]
GO

CREATE VIEW [Plans_Extended] AS

SELECT P.[Plan_Id],
       P.[Plan_Name],
       P.[Application_Id],
       A.[Application_Name],
       P.[PlanType_Code],
       [Plan_Bytes] = COALESCE(LATEST_VERSION.[Plan_Bytes], 0x),
       [PlanVersion_Id] = LATEST_VERSION.[PlanVersion_Id],
       P.[ModifiedOn_Date],
       P.[ModifiedBy_User_Name],
       P.[Environment_Id],
       E.[Environment_Name],
       P.[Active_Indicator]

  FROM [Plans] P

	    LEFT JOIN [Environments] E
               ON P.[Environment_Id] = E.[Environment_Id]
        LEFT JOIN [Applications] A
               ON P.[Application_Id] = A.[Application_Id]

        OUTER APPLY (
            SELECT TOP 1 * FROM [PlanVersions] PV WHERE PV.[Plan_Id] = P.[Plan_Id] ORDER BY PV.[PlanVersion_Id] DESC
        ) LATEST_VERSION
GO