EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_GetApplication',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Applications_Extended,Deployables_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of an application along with the associated deployables.'
GO


IF OBJECT_ID('[Applications_GetApplication]') IS NOT NULL DROP PROCEDURE [Applications_GetApplication]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_GetApplication]
(
	@Application_Id INT = NULL,
	@Application_Name VARCHAR(50) = NULL
)
AS
BEGIN

	SET NOCOUNT ON 

	IF @Application_Id IS NULL AND @Application_Name IS NOT NULL
		SET @Application_Id = (SELECT [Application_Id] FROM [Applications] WHERE [Application_Name] = @Application_Name)

	SELECT * 
	  FROM [Applications_Extended]
     WHERE [Application_Id] = @Application_Id

	SELECT * 
	  FROM [Deployables_Extended]
     WHERE [Application_Id] = @Application_Id
	ORDER BY [Deployable_Name]

END
GO

GRANT EXECUTE ON [Applications_GetApplication] TO [BuildMasterUser_Role]
