EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChangeControlPerformances_GetReleaseSummary',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ChangeControlPerformances_ReleaseSummary',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a summary of the change control performances for a specified change control.'
GO

IF OBJECT_ID('[ChangeControlPerformances_GetReleaseSummary]') IS NOT NULL DROP PROCEDURE [ChangeControlPerformances_GetReleaseSummary]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ChangeControlPerformances_GetReleaseSummary]
(
	@ChangeControl_Id INT
)
AS
BEGIN

SET NOCOUNT ON

    SELECT RS.*
	  FROM [ChangeControlPerformances_ReleaseSummary] RS
	       INNER JOIN [Environments] E
		           ON E.[Environment_Id] = RS.[Environment_Id]
     WHERE RS.[ChangeControl_Id] = @ChangeControl_Id
	 ORDER BY E.[Display_Sequence]

END
GO

GRANT EXECUTE ON [ChangeControlPerformances_GetReleaseSummary] TO [BuildMasterUser_Role]
