EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChangeControls_GetChangeControlPerformances',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ChangeControlPerformances_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of change control performances for a specified change control or all change controls if none is specified.'
GO

IF OBJECT_ID('[ChangeControls_GetChangeControlPerformances]') IS NOT NULL DROP PROCEDURE [ChangeControls_GetChangeControlPerformances]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ChangeControls_GetChangeControlPerformances]
(
	@Application_Id INT,
	@ChangeControl_Id INT,
	@Release_Number RELEASENUMBER,
	@IncludeInactive_Indicator YNINDICATOR,
	@Environment_Id INT,
	@Row_Count INT
)
AS
BEGIN

SET NOCOUNT ON

    IF @Row_Count IS NOT NULL
        SET ROWCOUNT @Row_Count
    
    SELECT *
      FROM [ChangeControlPerformances_Extended]
     WHERE [Application_Id] = @Application_Id
       AND [Release_Number] = COALESCE(@Release_Number, [Release_Number])
       AND [ChangeControl_Id] = COALESCE(@ChangeControl_Id, [ChangeControl_Id])
       AND ([Active_Indicator] = 'Y' OR @IncludeInactive_Indicator = 'Y')
       AND [Environment_Id] = COALESCE(@Environment_Id, [Environment_Id])

END
GO

GRANT EXECUTE ON [ChangeControls_GetChangeControlPerformances] TO [BuildMasterUser_Role]
