EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Events_GetEventOccurrences',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'EventOccurences_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the event occurrences in the system for a specific application, or all applications, limited to a specified count if provided.'
GO

IF OBJECT_ID('[Events_GetEventOccurences]') IS NOT NULL DROP PROCEDURE [Events_GetEventOccurences]
GO
IF OBJECT_ID('[Events_GetEventOccurrences]') IS NOT NULL DROP PROCEDURE [Events_GetEventOccurrences]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Events_GetEventOccurrences]
(
	@Application_Id INT = NULL,
	@Event_Count INT = NULL,
	@After_EventOccurence_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON
	
	IF @Event_Count IS NOT NULL
		SET ROWCOUNT @Event_Count

	SELECT *
	  FROM [EventOccurences_Extended]
	 WHERE (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
	   AND (@After_EventOccurence_Id IS NULL OR [EventOccurence_Id] > @After_EventOccurence_Id)
	 ORDER BY [EventOccurence_Id] DESC

END
GO

GRANT EXECUTE ON [Events_GetEventOccurrences] TO [BuildMasterUser_Role]
