EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExtensionConfiguration_GetConfigurations',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ExtensionConfigurations',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details for all extension configurers in the system, or a specific one if specified'
GO

IF OBJECT_ID('[ExtensionConfiguration_GetConfigurations]') IS NOT NULL DROP PROCEDURE [ExtensionConfiguration_GetConfigurations]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ExtensionConfiguration_GetConfigurations] 
(
	@QualifiedType_Name VARCHAR(500) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT * FROM [ExtensionConfigurations]
	 WHERE @QualifiedType_Name IS NULL OR [QualifiedType_Name] = @QualifiedType_Name
  ORDER BY [Default_Indicator] DESC, [Profile_Name] ASC


END
GO

GRANT EXECUTE ON [ExtensionConfiguration_GetConfigurations] TO [BuildMasterUser_Role]
GO