EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Notifiers_DeleteNotifier',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a notifier from the system'
GO

IF OBJECT_ID('[Notifiers_DeleteNotifier]') IS NOT NULL
	DROP PROCEDURE [Notifiers_DeleteNotifier]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Notifiers_DeleteNotifier]
(
	@Notifier_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [NotifierEventCodes] WHERE [Notifier_Id] = @Notifier_Id

	DELETE [Notifiers] WHERE [Notifier_Id] = @Notifier_Id

 

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Notifiers_DeleteNotifier] TO [BuildMasterUser_Role]