EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetMostCommonActions',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ 'Plans_MostCommonActions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the most commonly used actions in the system.'
GO


IF OBJECT_ID('[Plans_GetMostCommonActions]') IS NOT NULL DROP PROCEDURE [Plans_GetMostCommonActions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetMostCommonActions]
(
    @MostRecent_Count INT
)
AS
BEGIN

    SET NOCOUNT ON

    IF (@MostRecent_Count IS NOT NULL)
        SET ROWCOUNT @MostRecent_Count

	SELECT *
      FROM [Plans_MostCommonActions]
     ORDER BY [Usage_Count] DESC

END
GO

GRANT EXECUTE ON [Plans_GetMostCommonActions] TO [BuildMasterUser_Role]
GO
