EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetPlans',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Plans_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all OtterScript plans of the specified type which are visible to the specified application.'
GO

IF OBJECT_ID('[Plans_GetPlans]') IS NOT NULL DROP PROCEDURE [Plans_GetPlans]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetPlans]
(
	@Application_Id INT = NULL,
    @PlanType_Code CHAR(1) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [Plans_Extended]
     WHERE [Active_Indicator] = 'Y'
       AND ([Application_Id] IS NULL OR [Application_Id] = @Application_Id)
       AND (@PlanType_Code IS NULL OR [PlanType_Code] = @PlanType_Code)

END
GO

GRANT EXECUTE ON [Plans_GetPlans] TO [BuildMasterUser_Role]