EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Providers_GetProviders',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Providers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of providers in the system based on the specified criteria'
GO

IF OBJECT_ID('[Providers_GetProviders]') IS NOT NULL DROP PROCEDURE [Providers_GetProviders]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Providers_GetProviders]
(
	@ProviderType_Code CHAR(1) = NULL,
	@Application_Id INT = NULL,
	@Environment_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Providers]
	 WHERE [ProviderType_Code] = COALESCE(@ProviderType_Code, [ProviderType_Code])
	   AND [Internal_Indicator] = 'N'	 
	 ORDER BY [Provider_Name]
END
GO

GRANT EXECUTE ON [Providers_GetProviders] TO [BuildMasterUser_Role]
