EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_SetConfigurationFileVersion',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets the configuration file version for the specified release.'
GO


IF OBJECT_ID('[Releases_SetConfigurationFileVersion]') IS NOT NULL DROP PROCEDURE [Releases_SetConfigurationFileVersion]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_SetConfigurationFileVersion]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@ConfigurationFile_Id INT,
    @Version_Number INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

    DECLARE @Release_Id INT

    SELECT @Release_Id = [Release_Id] 
      FROM [Releases_Extended]
     WHERE [Application_Id] = @Application_Id
       AND [Release_Number] = @Release_Number

    DELETE [ReleaseConfigurationFiles]
     WHERE [Release_Id] = @Release_Id
       AND [ConfigurationFile_Id] = @ConfigurationFile_Id

    IF (@Version_Number IS NOT NULL) 
    BEGIN

        INSERT INTO [ReleaseConfigurationFiles]
        (
            [Release_Id],
            [ConfigurationFile_Id],
            [Version_Number]
        )
        VALUES
        (
            @Release_Id,
	        @ConfigurationFile_Id,
            @Version_Number
        )

    END

	COMMIT

END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Releases_SetConfigurationFileVersion] TO [BuildMasterUser_Role]
