EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Scripts_DeleteScript',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Permanently deletes a script.'
GO


IF OBJECT_ID('[Scripts_DeleteScript]') IS NOT NULL DROP PROCEDURE [Scripts_DeleteScript]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Scripts_DeleteScript]
(
	@Script_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [ScriptVariables]
	 WHERE [Script_Id] = @Script_Id

	DELETE [ScriptParameters]
	 WHERE [Script_Id] = @Script_Id

	DELETE [ScriptVersions]
	 WHERE [Script_Id] = @Script_Id

	DELETE [Scripts]
	 WHERE [Script_Id] = @Script_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Scripts_DeleteScript] TO [BuildMasterUser_Role]