EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetVariableDeclarations',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'VariableDeclarations',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variable declarations in the system that are defined in the specified scope.'
GO

IF OBJECT_ID('[Variables_GetVariableDeclarations]') IS NOT NULL DROP PROCEDURE [Variables_GetVariableDeclarations]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetVariableDeclarations]
(
	@Scope_Code CHAR(1),
	@Scoped_Application_Id INT,
	@Scoped_PiplineStage_Name VARCHAR(50),
    @Scoped_Environment_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    SELECT * 
      FROM [VariableDeclarations]
     WHERE (@Scope_Code IS NULL OR [Scope_Code] = @Scope_Code)
       AND ([Scope_Code] NOT IN ('R','B','P','X') OR @Scoped_Application_Id IS NULL OR [Scoped_Application_Id] = @Scoped_Application_Id)
       AND ([Scope_Code] <> 'X' OR (@Scoped_Environment_Id IS NULL AND [Scoped_Environment_Id] IS NULL) OR [Scoped_Environment_Id] = @Scoped_Environment_Id OR @Scope_Code IS NULL)
       AND ([Scope_Code] <> 'P' OR @Scoped_PiplineStage_Name IS NULL OR [Scoped_PipelineStage_Name] = @Scoped_PiplineStage_Name)
     ORDER BY [Variable_Name]

END
GO

GRANT EXECUTE ON [Variables_GetVariableDeclarations] TO [BuildMasterUser_Role]